package org.telosys.tools.commons.jdbctypes;


public class JdbcType 
{
	private int    _iCode   = 0 ; // the JDBC code 
	
	private String _sText   = "???" ; // 
	
	private String _sJavaTypeForNull    = "java.lang.String" ; // "Boolean", "boolean"

	private String _sJavaTypeForNotNull = "java.lang.String" ; // "Boolean", "boolean"
	
	public JdbcType(int code, String text, String javaType) 
	{
		super();
		_iCode = code;
		_sText = text;
		_sJavaTypeForNull    = javaType;
		_sJavaTypeForNotNull = javaType;
	}
	
	public JdbcType(int code, String text, String typeForNull, String typeForNotNull) 
	{
		super();
		_iCode = code;
		_sText = text;
		_sJavaTypeForNull    = typeForNull ;
		_sJavaTypeForNotNull = typeForNotNull ;
	}
	
	public int getCode()
	{
		return _iCode ;
	}

	public String getText()
	{
		return _sText ;
	}

	public String getJavaTypeForNull()
	{
		return _sJavaTypeForNull ;
	}

	public String getJavaTypeForNotNull()
	{
		return _sJavaTypeForNotNull ;
	}
}
