package org.telosys.tools.commons;


/**
 * @author Laurent GUERIN
 *
 */
public class JavaClassUtil
{
	
	
	/**
	 * Full static class : no public constructor
	 */
	private JavaClassUtil() {
	}

	//----------------------------------------------------------------------------------
	/**
	 * Returns the short name of the given class name <br>
	 * e.g. : "package1.package2.MyClass" returns "MyClass"
	 * @param s 
	 * @return
	 */
	public static String shortName(String sArg) {
		if ( sArg != null )
		{
			String s = sArg.trim();
			int i = s.lastIndexOf('.');
			if ( i >= 0 )
			{
				return s.substring(i+1);
			}
			return s ;
		}
		return null ;
	}

}
