package org.telosys.tools.commons;

public abstract class StandardTool {

	private TelosysToolsLogger logger = null ;
	
	
	public StandardTool(TelosysToolsLogger logger) {
		super();
		this.logger = logger;
	}

	protected TelosysToolsLogger getLogger() {
		return logger;
	}
	
	protected void log(String s) {
		if (logger != null ) {
			logger.log(s);
		}
	}
	
	protected void log(Object o, String s) {
		if (logger != null ) {
			logger.log(o, s);
		}
	}

	protected void info(String s) {
		if (logger != null ) {
			logger.info(s);
		}
	}

	protected void error(String s) {
		if (logger != null ) {
			logger.error(s);
		}
	}

}
