package org.telosys.tools.commons;

/**
 * Interface for basic logging (only for debug)
 * 
 * @author Laurent GUERIN
 *
 */
public interface TelosysToolsLogger
{
	public void log(Object object, String s) ;
	
	public void log(String s) ;

	public void error (String s) ;
	
	public void info (String s) ;

	public void exception (Throwable exception) ;
	
}
