package org.telosys.tools.commons.config;


public interface ClassNameProvider {
	
	//-------------------------------------------------------------------------------------------------------
	/**
	 * Returns the VO List class name for the given VO Bean class name
	 * @param sBeanClassName
	 * @return
	 */
	public String getVOListClassName(String sBeanClassName) ;

	//-------------------------------------------------------------------------------------------------------
	/**
	 * Returns the DAO class name for the given VO Bean class name
	 * @param sBeanClassName
	 * @return
	 */
	public String getDAOClassName(String sBeanClassName) ;

	//-------------------------------------------------------------------------------------------------------
	/**
	 * Returns the Xml Mapper class name for the given VO Bean class name
	 * @param sBeanClassName
	 * @return
	 */
	public String getXmlMapperClassName(String sBeanClassName) ;

}
