package org.telosys.tools.commons.dbcfg;

/**
 * XML constants for  "dbconfig.xml" or "databases.dbcfg" file
 * 
 * @author S.Leroy, L.Guerin
 *
 */
class ConstXML {

	 //--------------------------------------------------------------------------
	 
	 public final static String DB_ELEMENT = "db";
	 public final static String DB_ID_ATTRIBUTE = "id";
	 public final static String DB_NAME_ATTRIBUTE = "name";
	 public final static String DB_DRIVER_ATTRIBUTE = "driver";
	 public final static String DB_URL_ATTRIBUTE = "url";
	 
	 public final static String DB_ISOLATION_LEVEL_ATTRIBUTE = "isolationLevel";
	 public final static String DB_POOLSIZE_ATTRIBUTE = "poolSize";
	 
	 public final static String DB_PROPERTY_ELEMENT = "property";
	 public final static String DB_PROPERTY_NAME_ATTRIBUTE = "name";
	 public final static String DB_PROPERTY_VALUE_ATTRIBUTE = "value";
	 
	 public final static String DB_METADATA_ELEMENT = "metadata";
	 public final static String DB_METADATA_ATTR_CATALOG = "catalog" ;
	 public final static String DB_METADATA_ATTR_SCHEMA = "schema" ;
	 public final static String DB_METADATA_ATTR_TABLE_NAME_PATTERN = "table-name-pattern";
	 public final static String DB_METADATA_ATTR_TABLE_TYPES = "table-types";
	 
	 public final static String PROPERTY_USER = "user";
	 public final static String PROPERTY_PASSWORD = "password";
	 
	 //---------------------------------------------------------------------------
}
